


<html>
   <head>
      <title>Highcharts Tutorial</title>
      <script src = "https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js">
      </script>
      <script src = "https://code.highcharts.com/highcharts.js"></script>  
   </head>
   <body>
      <div id = "container" style = "width: 100%; height: 400px; margin: 0 auto"></div>
      <script language = "JavaScript">

        let matchesw = []
        let years = []
         $(document).ready(function() {  

             fetch('http://127.0.0.1:8000/api/v1/matches_per_year')
            .then(
                function(response) {
                if (response.status !== 200) {
                    console.log('Looks like there was a problem. Status Code: ' +
                    response.status);
                    return;
                }

                // Examine the text in the response
                response.json().then(function(data) {
                    matches = Object.values(data)
                    years = Object.keys(data)

                    var chart = {
                        type: 'column'
                     };
                     var title = {
                        text: 'Matches played per year'   
                     };
                     var subtitle = {
                        
                     };
                     var xAxis = {
                        categories: years,
                        crosshair: true
                     };
                     var yAxis = {
                        min: 0,
                        title: {
                           text: 'No. of matches'         
                        }      
                     };
                     var tooltip = {
                        headerFormat: '<span style = "font-size:10px">{point.key}</span><table>',
                        pointFormat: '<tr><td style = "color:{series.color};padding:0">{series.name}: </td>' +
                           '<td style = "padding:0"><b>{point.y:.1f} </b></td></tr>',
                        footerFormat: '</table>',
                        shared: true,
                        useHTML: true
                     };
                     var plotOptions = {
                        column: {
                           pointPadding: 0.2,
                           borderWidth: 0
                        }
                     };  
                     var credits = {
                        enabled: false
                     };
                     var series= [
                        {
                           name: 'Years',
                           data: matches,

                        }, 
                        
                     ];     
                  
                     var json = {};   
                     json.chart = chart; 
                     json.title = title;   
                     json.subtitle = subtitle; 
                     json.tooltip = tooltip;
                     json.xAxis = xAxis;
                     json.yAxis = yAxis;  
                     json.series = series;
                     json.plotOptions = plotOptions;  
                     json.credits = credits;
                     $('#container').highcharts(json);
         
                  });
                });
                }
            )
            .catch(function(err) {
                console.log('Fetch Error :-S', err);
            });
      </script>
   </body>
   
</html>






    